Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
st_table Struct Reference

`#include <st.h>`

## Data Fields
unsigned char | entry_power
unsigned char | bin_power
unsigned char | size_ind
unsigned int | rebuilds_num
const struct st_hash_type * | type
st_index_t | num_entries
st_index_t * | bins
st_index_t | entries_start
st_index_t | entries_bound
st_table_entry * | entries

## Detailed Description

Definition at line 79 of file st.h.

## Field Documentation

## ◆ bin_power

unsigned char st_table::bin_power

Definition at line 81 of file st.h.

## ◆ bins

st_index_t * st_table::bins

Definition at line 88 of file st.h.

Referenced by st_copy(), st_free_table(), st_memsize(), and st_shift().

## ◆ entries

st_table_entry * st_table::entries

Definition at line 94 of file st.h.

Referenced by st_free_table(), and st_shift().

## ◆ entries_bound

st_index_t st_table::entries_bound

Definition at line 92 of file st.h.

Referenced by st_shift().

## ◆ entries_start

st_index_t st_table::entries_start

Definition at line 92 of file st.h.

Referenced by st_shift().

## ◆ entry_power

unsigned char st_table::entry_power

Definition at line 81 of file st.h.

## ◆ num_entries

st_index_t st_table::num_entries

Definition at line 86 of file st.h.

Referenced by onig_number_of_names(), rb_const_list(), and rb_ivar_count().

## ◆ rebuilds_num

unsigned int st_table::rebuilds_num

Definition at line 83 of file st.h.

## ◆ size_ind

unsigned char st_table::size_ind

Definition at line 81 of file st.h.

## ◆ type

const struct st_hash_type * st_table::type

Definition at line 84 of file st.h.

The documentation for this struct was generated from the following files:

- include/ruby/st.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h